summaryrefslogtreecommitdiff
path: root/dev-python/propcache
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/propcache
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/propcache')
-rw-r--r--dev-python/propcache/Manifest4
-rw-r--r--dev-python/propcache/metadata.xml9
-rw-r--r--dev-python/propcache/propcache-0.4.1.ebuild55
-rw-r--r--dev-python/propcache/propcache-0.5.2.ebuild55
4 files changed, 123 insertions, 0 deletions
diff --git a/dev-python/propcache/Manifest b/dev-python/propcache/Manifest
new file mode 100644
index 000000000000..d89c3bdcea5d
--- /dev/null
+++ b/dev-python/propcache/Manifest
@@ -0,0 +1,4 @@
+DIST propcache-0.4.1.tar.gz 46442 BLAKE2B ff554a2dfd9c4944ab5b16c516510eb33b78b09729d271487bd85994f5c7695b7bcb274becdcab601b771b4c75267dd0dde1acaf4afdac9683bd3ee4ff225af2 SHA512 10342a0e64107eea991fe163901e02537304225fca4a0e9c62d1f5dd0077e3eac6a892e6cd2dffe943d52ba121fb603e2150e1aa63deb0cd5003083310a07070
+DIST propcache-0.4.1.tar.gz.provenance 9198 BLAKE2B 34cab350c955c33d662d59d40adb265ea28a46a03b701768801733891aefdf84af0acfbc779a7f10775f039512502f606031314757d250eef0bfbe746300cedc SHA512 d38429d3ec212d826ab38e05961f16c8a19190089e6411be08b85e1758daf91ad27d270b83e6c597e5161717c2da1c091c2be8bd4391c90ee7a8cffa56ef99d9
+DIST propcache-0.5.2.tar.gz 50208 BLAKE2B 53b0a36724277bbe1b08e4fe9b6bf7b32933fbb52b5c4fa3477b3fba1d021875f9311cb4abc020989a40c3482707b0e9e3b40669b9d219334b10b0303dfbfbe9 SHA512 7d720b55a54a3dc35a13c27c8b2821e5dc8ccabae1c004c4049df6a4d914c7f5247cac4efb8a6e0cc95cb9cf62119c27febfeaaaa900343f19ee8c8cef92e15f
+DIST propcache-0.5.2.tar.gz.provenance 9321 BLAKE2B 4a48da3e3c88f767ef481373c560fc6d0895987422a43a4a9cd09d27a70c254d2b05fe19876c03f72d094770965992d1df0d8b066cbb9cd15f3eb4ee867dfc33 SHA512 ef3796ac1f4b65bfec89d1d9944870dfdead6f932671eb0725d6bf0ba1e19a8a8d50dd9e1b73c02d97b64d19af314e782dfda52a131c9851bb506f4a2a3cd08e
diff --git a/dev-python/propcache/metadata.xml b/dev-python/propcache/metadata.xml
new file mode 100644
index 000000000000..acfe7097587e
--- /dev/null
+++ b/dev-python/propcache/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/propcache/propcache-0.4.1.ebuild b/dev-python/propcache/propcache-0.4.1.ebuild
new file mode 100644
index 000000000000..4e53a2f394d7
--- /dev/null
+++ b/dev-python/propcache/propcache-0.4.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=standalone
+PYPI_VERIFY_REPO=https://github.com/aio-libs/propcache
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Accelerated property cache"
+HOMEPAGE="
+ https://github.com/aio-libs/propcache/
+ https://pypi.org/project/propcache/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
+IUSE="+native-extensions"
+
+BDEPEND="
+ native-extensions? (
+ dev-python/cython[${PYTHON_USEDEP}]
+ )
+ dev-python/expandvars[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_compile() {
+ local -x PROPCACHE_NO_EXTENSIONS=0
+ if ! use native-extensions || [[ ${EPYTHON} != python* ]]; then
+ PROPCACHE_NO_EXTENSIONS=1
+ fi
+ distutils-r1_python_compile
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ tests/test_benchmarks.py
+ )
+
+ local opts=()
+ if ! use native-extensions || [[ ${EPYTHON} != python* ]]; then
+ opts+=( --no-c-extensions )
+ fi
+
+ rm -rf propcache || die
+ epytest -o addopts= "${opts[@]}"
+}
diff --git a/dev-python/propcache/propcache-0.5.2.ebuild b/dev-python/propcache/propcache-0.5.2.ebuild
new file mode 100644
index 000000000000..b7f6c241980e
--- /dev/null
+++ b/dev-python/propcache/propcache-0.5.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=standalone
+PYPI_VERIFY_REPO=https://github.com/aio-libs/propcache
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Accelerated property cache"
+HOMEPAGE="
+ https://github.com/aio-libs/propcache/
+ https://pypi.org/project/propcache/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="+native-extensions"
+
+BDEPEND="
+ native-extensions? (
+ dev-python/cython[${PYTHON_USEDEP}]
+ )
+ dev-python/expandvars[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_compile() {
+ local -x PROPCACHE_NO_EXTENSIONS=0
+ if ! use native-extensions || [[ ${EPYTHON} != python* ]]; then
+ PROPCACHE_NO_EXTENSIONS=1
+ fi
+ distutils-r1_python_compile
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ tests/test_benchmarks.py
+ )
+
+ local opts=()
+ if ! use native-extensions || [[ ${EPYTHON} != python* ]]; then
+ opts+=( --no-c-extensions )
+ fi
+
+ rm -rf propcache || die
+ epytest -o addopts= "${opts[@]}"
+}